GET /transactions

up.com.au

Summary: List transactions
Operation ID:
Auth: unknown
Description

Retrieve a list of all transactions across all accounts for the currently authenticated user. The returned list is [paginated](#pagination) and can be scrolled by following the `next` and `prev` links where present. To narrow the results to a specific date range pass one or both of `filter[since]` and `filter[until]` in the query string. These filter parameters **should not** be used for pagination. Results are ordered newest first to oldest last.

Parameters (6)

filter[category] (string, query, optional)

The category identifier for which to filter transactions. Both parent and child categories can be filtered through this parameter. Providing an invalid category identifier results in a `404` response.

filter[since] (string, query, optional)

The start date-time from which to return records, formatted according to rfc-3339. Not to be used for pagination purposes.

filter[status] (?, query, optional)

The transaction status for which to return records. This can be used to filter `HELD` transactions from those that are `SETTLED`.

filter[tag] (string, query, optional)

A transaction tag to filter for which to return records. If the tag does not exist, zero records are returned and a success response is given.

filter[until] (string, query, optional)

The end date-time up to which to return records, formatted according to rfc-3339. Not to be used for pagination purposes.

page[size] (integer, query, optional)

The number of records to return in each page.

No probe data for this endpoint yet.